Bug 132771 - shift-based locking appears to be a little confused in what it will and will not lock onto
Summary: shift-based locking appears to be a little confused in what it will and will ...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-16 20:18 UTC by Daniel Reed
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 05:17:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Reed 2004-09-16 20:18:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Version-Release number of selected component (if applicable):
metacity-2.8.4-1

How reproducible:
Always

Steps to Reproduce:
1. Open two windows on the screen
2. Position window A so its upper-left corner is near the center of
the screen, with space above it to accomodate window B's entire height
3. Hold down Shift and position window B so its lower-left corner
rests on window A's upper-left corner
4. Continuing to hold down Shift, move window B straight up

Actual Results:  Window B temporarily jumps straight up, locking on to
the top edge of the screen (so its left edge remains aligned with
window A's left edge), then quickly jumps to one of the corners (as if
it "lost" its lock with the left edge of window A).

Expected Results:  Either moving window A up should cause it to
immediately jump into a locked position in the screen corner, or it
should remain "locked" against the left edge of window B (that it was
just previously locked against) against the top edge of the screen.
None of this jumping up, then a split second later jumping over.

Comment 1 Havoc Pennington 2004-11-10 05:17:33 UTC
Indeed, confirmed with FC3 final.

Moving to http://bugzilla.gnome.org/show_bug.cgi?id=157826



Note You need to log in before you can comment on or make changes to this bug.